<?php
require_once("admins.php");

class GatewayAdmin
{
    private $con;

    public function __construct($con){
        $this->con = $con;
    }

    public function addAdmin($admin)
    {
        $query = "insert into admin(username,password) values (:username,:password);"; 
        $this->con->executeQuery($query, array(':username' => array($admin->getUsername(), PDO::PARAM_STR),
                                         ':password' => array(hash("sha256",$admin->getPassword()), PDO::PARAM_STR)
                                        )
                          );
    }


    public function getCredential($login)
    {
        $query = "SELECT password FROM admin WHERE username = :login;";
        $this->con->executeQuery($query, array(':login' => array($login, PDO::PARAM_STR)));
        $results=$this->con->getResults();
        return $results[0]['password'];
    }

} 

?>
